<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://www.eurostocks.com
 * @since      1.0.0
 *
 * @package    Eurostocks
 * @subpackage Eurostocks/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Eurostocks
 * @subpackage Eurostocks/includes
 * @author     EuroStocks <info@eurostocks.com>
 */
class Eurostocks_Deactivator {

	/**
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		if ( wp_next_scheduled( 'eurostocks_cron_hook' ) ) {
			wp_clear_scheduled_hook( 'eurostocks_cron_hook' );
		}

		if (! wp_next_scheduled ( 'eurostocks_update_model_scheduler', [] )) {
			wp_clear_scheduled_hook( 'eurostocks_update_model_scheduler', [] );
		}

		if ( wp_next_scheduled( 'eurostocks_clean_ip_history' ) ) {
			wp_clear_scheduled_hook( 'eurostocks_clean_ip_history' );
		}
	}



}
